libweed 0.6.0

- Main Page
- Data Structures
- Files

- File List
- Globals

All Data Structures Files Functions Variables Typedefs Macros
Macros | Functions | Variables
weed-gslice.c File Reference
`#include "weed.h"`
`#include "weed-host.h"`
`#include <glib.h>`
`#include <string.h>`
`#include <stdlib.h>`

## Macros
#define | _SKIP_WEED_API_

## Functions
void | weed_init (int api, weed_malloc_f _mallocf, weed_free_f _freef, weed_memcpy_f _memcpyf, weed_memset_f _memsetf)

## Variables
weed_default_getter_f | weed_default_get
weed_leaf_get_f | weed_leaf_get
weed_leaf_set_f | weed_leaf_set
weed_leaf_set_f | weed_leaf_set_plugin
weed_plant_new_f | weed_plant_new
weed_plant_free_f | weed_plant_free
weed_leaf_delete_f | weed_leaf_delete
weed_plant_list_leaves_f | weed_plant_list_leaves
weed_leaf_num_elements_f | weed_leaf_num_elements
weed_leaf_element_size_f | weed_leaf_element_size
weed_leaf_seed_type_f | weed_leaf_seed_type
weed_leaf_get_flags_f | weed_leaf_get_flags
weed_leaf_set_flags_f | weed_leaf_set_flags
weed_malloc_f | weed_malloc
weed_free_f | weed_free
weed_memcpy_f | weed_memcpy
weed_memset_f | weed_memset

## Macro Definition Documentation

#define _SKIP_WEED_API_

## Function Documentation

void weed_init | ( | int | api,
|  | weed_malloc_f | _mallocf,
|  | weed_free_f | _freef,
|  | weed_memcpy_f | _memcpyf,
|  | weed_memset_f | _memsetf
| ) |  |

## Variable Documentation

weed_default_getter_f weed_default_get

weed_free_f weed_free

weed_leaf_delete_f weed_leaf_delete

weed_leaf_element_size_f weed_leaf_element_size

weed_leaf_get_f weed_leaf_get

weed_leaf_get_flags_f weed_leaf_get_flags

weed_leaf_num_elements_f weed_leaf_num_elements

weed_leaf_seed_type_f weed_leaf_seed_type

weed_leaf_set_f weed_leaf_set

weed_leaf_set_flags_f weed_leaf_set_flags

weed_leaf_set_f weed_leaf_set_plugin

weed_malloc_f weed_malloc

weed_memcpy_f weed_memcpy

weed_memset_f weed_memset

weed_plant_free_f weed_plant_free

weed_plant_list_leaves_f weed_plant_list_leaves

weed_plant_new_f weed_plant_new